//
//  ArticleViewController.h
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 18.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "Article+CoreDataClass.h"
#import "OrderLine+CoreDataClass.h"

#define DEFAULT_COMMENTS @"Comentarios para el pedido"

@interface ArticleViewController : UIViewController <UITextViewDelegate>

@property (nonatomic, strong) Article *model;
@property (nonatomic, strong) OrderLine *orderLineModel;
@property (nonatomic, strong) NSNumber *margin;
@property (strong, nonatomic) UIBarButtonItem *addButton;

@property (weak, nonatomic) IBOutlet UIImageView *pictureImage;
@property (weak, nonatomic) IBOutlet UILabel *priceLabel;
@property (weak, nonatomic) IBOutlet UILabel *amountLabel;
@property (weak, nonatomic) IBOutlet UIStepper *amountStepper;
@property (weak, nonatomic) IBOutlet UITextView *commentsOrderTextView;
@property (weak, nonatomic) IBOutlet UITextView *descriptionTextView;

-(IBAction) stepperPressed:(id)sender;
-(IBAction) handleImageSwipe:(UISwipeGestureRecognizer *) sender;
-(IBAction) addArticleToOrder:(id)sender;

-(void)syncViewToModel;

@end
