//
//  ArticleCollectionViewCell.m
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 08.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//

#import "ArticleCollectionViewCell.h"
#import "ArticleCatalog+CoreDataClass.h"
#import "HorusUtils.h"

@implementation ArticleCollectionViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setData:(ArticleCatalog *)article withMargin:(NSNumber *)aMargin { 
    NSNumber* endPrice = [NSNumber numberWithFloat:article.price * (1 + 0.01 * [aMargin floatValue])];
    
    self.priceLabel.text = [HorusUtils priceString:endPrice units:YES];
    self.articleNumberLabel.text = article.articleNumber;
    [self.articleImage setImage:nil];
    
    //For performance reasons we load the pictures in a separate thread
    dispatch_async(dispatch_get_global_queue(DISPATCH_QUEUE_PRIORITY_DEFAULT, 0), ^{
        UIImage *theImage = article.picture;
        
        dispatch_async(dispatch_get_main_queue(), ^{
            [self.articleImage setImage:theImage];
        });
    });}

@end
