//
//  ArticleTableViewCell.m
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 19.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//

#import "ArticleTableViewCell.h"
#import "ArticleCatalog+CoreDataClass.h"
#import "HorusUtils.h"

@implementation ArticleTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

- (void)layoutSubviews {
    
    [super layoutSubviews];
    
    // Slide image to the left, eliminating gutter
    self.imageView.frame = CGRectMake(0, 0, self.imageView.frame.size.width, self.imageView.frame.size.height);
}

- (void)setData:(ArticleCatalog *)article withMargin:(NSNumber*) aMargin
{
    NSNumber* endPrice = [NSNumber numberWithFloat:article.price * (1 + 0.01 * [aMargin floatValue])];
    
    self.articleNumber.text = article.articleNumber;
    self.descriptionText.text = article.descriptionText;
    self.price.text = [HorusUtils priceString:endPrice units:YES];
    self.imageView.image = article.picture;
}

@end
