//
//  OrderLineTableViewCell.m
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 19.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//

#import "OrderLineTableViewCell.h"
#import "ArticleOrder+CoreDataClass.h"
#import "HorusUtils.h"

@implementation OrderLineTableViewCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization
    self.indentationLevel = 0;
    self.indentationWidth = 0;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];
    
    // Configure the view for the selected state
}

-(void)setData:(OrderLine *)line
{
    self.articleNumber.text = line.article.articleNumber;
    self.descriptionText.text = line.article.descriptionText;
    self.comments.text = line.comments;
    self.amount.text = [NSString stringWithFormat:@"%d",line.amount];
    self.pricePerUnit.text = [HorusUtils priceString:line.unitPrice units:YES];
    self.priceTotal.text = [HorusUtils priceString:line.totalPrice units:YES];
    self.imageView.image = line.article.picture;
}

- (void)layoutSubviews {
    
    [super layoutSubviews];
    
    // Slide image to the left, eliminating gutter
    self.imageView.frame = CGRectMake(0, 0, self.imageView.frame.size.width, self.imageView.frame.size.height);
}

@end
