//
//  OrderViewController.h
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 19.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "Order+CoreDataClass.h"

@import ContactsUI;
@import Contacts;

@interface OrderViewController : UIViewController<  UITableViewDelegate,
                                                    UITableViewDataSource,
                                                    UITextViewDelegate,
                                                    CNContactPickerDelegate>

@property (weak, nonatomic) IBOutlet UITextView *contactDetailsLabel;
@property (weak, nonatomic) IBOutlet UILabel *discountTotalLabel;
@property (weak, nonatomic) IBOutlet UILabel *totalWithoutDiscount;
@property (weak, nonatomic) IBOutlet UILabel *totalLabel;
@property (weak, nonatomic) IBOutlet UITableView *articlesTable;
@property (weak, nonatomic) IBOutlet UILabel *discountLabel;
@property (weak, nonatomic) IBOutlet UILabel *piezasLabel;
@property (weak, nonatomic) IBOutlet UIView *panView;
@property (weak, nonatomic) IBOutlet UILabel *dateLabel;
@property (weak, nonatomic) IBOutlet UILabel *orderIDLabel;
@property (weak, nonatomic) IBOutlet UITextView *orderCommentsTextView;
@property (weak, nonatomic) IBOutlet UIButton *discountUpButton;
@property (weak, nonatomic) IBOutlet UIButton *discountDownButton;
@property (weak, nonatomic) IBOutlet UIPanGestureRecognizer *panGestureRecognizer;
@property (strong, nonatomic) IBOutlet UITapGestureRecognizer *tapGestureRecognizer;

@property (nonatomic, strong) Order *model;

- (IBAction)handleDiscountPan:(UIPanGestureRecognizer *)sender;
- (IBAction)handleHideKeyboard:(UITapGestureRecognizer *)sender;
- (IBAction)decreaseDiscount;
- (IBAction)increaseDiscount;

- (void)setEditable: (bool) editable;

@end
