//
//  PdfViewController.m
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 20.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//

#import "PdfViewController.h"
#import "Order+CoreDataClass.h"
#import "PdfRenderer.h"
#import "HorusUtils.h"

@interface PdfViewController ()

@end

@implementation PdfViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    UIBarButtonItem *sendButton = [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemAction
                                                                                target:self action:@selector(sendButtonPressed)];
    [self.navigationItem setRightBarButtonItems:@[sendButton] animated:YES];
    
    [PdfRenderer drawOrderPDFtoFileWith:self.model];
    
    [self.webView loadFileURL:[NSURL fileURLWithPath:[PdfRenderer getPDFFileName]]
      allowingReadAccessToURL:[NSURL fileURLWithPath:[PdfRenderer getPDFPath]]];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Send Order

-(void) sendButtonPressed
{
    MFMailComposeViewController* controller = [[MFMailComposeViewController alloc] init];
    controller.mailComposeDelegate = self;

    [controller setToRecipients:[NSArray arrayWithObject:[HorusUtils contactStringWith:self.model.customerId
                                                                             details:ContactEmail]]];
    if ([[[NSUserDefaults standardUserDefaults] objectForKey:@"sendCC"] boolValue] == YES)
    {
        [controller setCcRecipients:[NSArray arrayWithObject:[[NSUserDefaults standardUserDefaults] objectForKey:@"ccRecipient"]]];
    }

    [controller setSubject:[NSString stringWithFormat:@"HORUS - Pedido %@", [self.model guiOrderId]]];
    [controller setMessageBody:@"Adjunto su pedido" isHTML:NO];
    [controller addAttachmentData:[PdfRenderer drawOrderPDFtoDataWith:self.model]
                         mimeType:@"application/pdf"
                         fileName:[NSString stringWithFormat:@"HORUS - Pedido %@.pdf", [self.model guiOrderId]]];
    [controller setModalPresentationStyle: UIModalPresentationFormSheet];
    [controller setModalTransitionStyle:UIModalTransitionStyleFlipHorizontal];

    [self presentViewController:controller
                       animated:YES
                     completion:nil];
}

- (void)mailComposeController:(MFMailComposeViewController*)controller
          didFinishWithResult:(MFMailComposeResult)result
                        error:(NSError*)error;
{
    [self dismissViewControllerAnimated:YES
                             completion:nil];
    [self.navigationController popViewControllerAnimated:YES];
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
