//
//  ModelStack.m
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 04.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//

#import "ModelStack.h"

@interface ModelStack()

@property (strong, nonatomic, readwrite) NSPersistentContainer *persistentContainer;

@end

@implementation ModelStack

+ (instancetype)sharedInstance {
    
    static ModelStack *sharedInstance = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        sharedInstance = [[ModelStack alloc] init];
    });
    return sharedInstance;
}

- (NSPersistentContainer *)persistentContainer {
    
    @synchronized (self) {
        if (_persistentContainer) {
            return _persistentContainer;
        }
        
        NSPersistentContainer *persistentContainer = [NSPersistentContainer persistentContainerWithName:@"model"];
        [persistentContainer loadPersistentStoresWithCompletionHandler:^(NSPersistentStoreDescription *storeDescription, NSError *error) {
            if (error) {
                NSLog(@"Unresolved Error %@", error);
            }
        }];
        _persistentContainer = persistentContainer;
        return persistentContainer;
    }
}

- (void)saveContext {
    NSManagedObjectContext *context = self.persistentContainer.viewContext;
    if (context.hasChanges) {
        NSError *error = nil;
        [context save:&error];
        if (error) {
            NSLog(@"Unresolved error %@", error);
        }
    }
}

@end
