//
//  Order+CoreDataClass.h
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 18.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class OrderLine;
@class Article;

NS_ASSUME_NONNULL_BEGIN

@interface Order : NSManagedObject

+(Order *)activeOrder;

-(void) setInitialValues;

//Calculated properties
@property (nonatomic, retain) NSNumber *discountAmount;
@property (nonatomic, retain) NSNumber *totalWithoutDiscount;
@property (nonatomic, retain) NSNumber *total;

-(NSNumber *) totalArticles;
-(NSString *) guiOrderId;

- (void)  addArticleToOrder:(Article *) anArticle
                    amount:(NSNumber *) anAmount
                  comments:(NSString *) someComments
                    margin:(NSNumber *) aMargin;

-(void) recalculateOrder;

@end

NS_ASSUME_NONNULL_END

#import "Order+CoreDataProperties.h"
