//
//  Order+CoreDataProperties.h
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 19.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//
//

#import "Order+CoreDataClass.h"


NS_ASSUME_NONNULL_BEGIN

@interface Order (CoreDataProperties)

+ (NSFetchRequest<Order *> *)fetchRequest;

@property (nullable, nonatomic, copy) NSString *comments;
@property (nullable, nonatomic, copy) NSString *customerId;
@property (nullable, nonatomic, copy) NSDate *date;
@property (nonatomic) int16_t discount;
@property (nullable, nonatomic, copy) NSString *employeeId;
@property (nonatomic) int16_t orderId;
@property (nullable, nonatomic, retain) NSSet<OrderLine *> *line;

@end

@interface Order (CoreDataGeneratedAccessors)

- (void)addLineObject:(OrderLine *)value;
- (void)removeLineObject:(OrderLine *)value;
- (void)addLine:(NSSet<OrderLine *> *)values;
- (void)removeLine:(NSSet<OrderLine *> *)values;

@end

NS_ASSUME_NONNULL_END
