//
//  OrderLine+CoreDataClass.m
//  horussalesman
//
//  Created by Miguel Cholbi Collados on 18.11.17.
//  Copyright © 2017 Horus Joyeros. All rights reserved.
//
//

#import "OrderLine+CoreDataClass.h"
#import "ArticleOrder+CoreDataClass.h"
#import "Order+CoreDataClass.h"
#import "ModelStack.h"

@implementation OrderLine

- (void)addOrderLineObservers {
    [self addObserver:self
           forKeyPath:@"amount"
              options:NSKeyValueObservingOptionNew
              context:nil];
    
    [self addObserver:self
           forKeyPath:@"comments"
              options:NSKeyValueObservingOptionNew
              context:nil];
}

- (void) awakeFromInsert
{
    [super awakeFromInsert];
    
    [self addOrderLineObservers];
}

-(void) awakeFromFetch
{
    [super awakeFromFetch];
    
    [self addOrderLineObservers];
}

-(void)observeValueForKeyPath:(NSString*)keyPath
                     ofObject:(id)object
                       change:(NSDictionary*)change
                      context:(void*)context
{
    if([keyPath isEqualToString:@"amount"])
    {
        [self.order recalculateOrder];
    }
    [[ModelStack sharedInstance] saveContext];
}

-(NSNumber *) unitPrice
{
    return [NSNumber numberWithFloat:self.article.price * (1 + 0.01 * self.margin)];
}

-(NSNumber *) totalPrice
{
    return [NSNumber numberWithFloat:self.article.price * (1+0.01 * self.margin) * self.amount];
}

@end
